#!/bin/sh

UPDATE_SCRIPT=/mnt/usb-stick1/kmc20_script.sh
UPDATE_TAR=/mnt/usb-stick1/kmc20_rootfs.tar.gz
UPDATE_KERNEL=/mnt/usb-stick1/kmc20.sb
UPDATE_RETVAL=0

#check if udpate tar exists

if [ -f $UPDATE_TAR ];
then
  /home/root/updater-splash -p -n -a 180 -e "Updating system files" &
  sleep 5
  /home/root/killall.sh
  echo "Update tar found"
  tar -zxvf $UPDATE_TAR -C /
  UPDATE_RETVAL=1
else
  echo "Update tar not found"
fi

# check if update script exists

if [ -f $UPDATE_SCRIPT ];
then
  /home/root/updater-splash -p -n -a 180 -e "Running update script" &
  sleep 5
  echo "Update script found"
  bash $UPDATE_SCRIPT
  UPDATE_RETVAL=1
else
  echo "Update script not found"
fi

# check if update kernel found
if [ -f $UPDATE_KERNEL ];
then
  /home/root/updater-splash -p -n -a 180 -e "Updating bootloader" &
  sleep 5
  echo "Update kernel found"
  kobs-ng init --chip_0_device_path=/dev/mtd0 -v $UPDATE_KERNEL
  UPDATE_RETVAL=1
else
  echo "Update kernel not found"
fi

if [ $UPDATE_RETVAL -eq 1 ];
then
  touch /home/root/reboot_required
  echo "System was updated"
  sleep 20
  sync
  sleep 20
  /home/root/updater-splash -p -n -a 180 -e "Update Complete. Remove USB media." &
  exit 1
else
  echo "No system updates found"
  exit 0
fi
